#70 Big endian fixes for Via audio

closed-accepted
Jeff Garzik
6
2001-06-11
2001-06-03
Jeff Garzik
No

Date: Mon, 14 May 2001 21:29:26 +0100
From: Adrian Cox <adrian@humboldt.co.uk>
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.0 i686;
en-US; rv:0.8.1+) Gecko/20010
502
X-Accept-Language: en
MIME-Version: 1.0
To: Jeff Garzik <jgarzik@mandrakesoft.com>
Subject: Patch for PPC support of Via audio

Attached is my patch for PowerPC support of the Via 686
audio.

The first two changes are simple endianness bugs - outl
already byteswaps.

The final change is because on my hardware the
CR80_VALID bit is
completely false, and I only know things are valid when
the register is
valid, not busy, and has the correct register number.

My only problem now is the number of applications that
ask for
AFMT_S16_LE and then produce big endian data.

I'm running on a 686a, with details below, in case this
helps with the
register read problem:

# lspci -s 0:10.5 -xxx
00:10.5 Multimedia audio controller: VIA Technologies,
Inc. VT82C686
[Apollo Super AC97/Audio] (rev 20)
00: 06 11 58 30 01 00 10 02 20 00 01 04 00 00 00 00
10: 01 fe 00 00 99 fd 00 00 9d fd 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
30: 00 00 00 00 c0 00 00 00 00 00 00 00 09 03 00 00
40: 01 cc 00 1c 80 00 00 00 05 00 00 02 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 01 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 01 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

- Adrian

Discussion

  • Jeff Garzik
    Jeff Garzik
    2001-06-03

    Via audio big endian fixes

     
    Attachments
    via
  • Jeff Garzik
    Jeff Garzik
    2001-06-11

    • status: open --> closed-accepted